## polari 46.0

=== meson_options.txt ===
# SPDX-FileCopyrightText: 2018 Florian Müllner <fmuellner@gnome.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later

option('snapshot',
  type: 'boolean',
  value: false,
  description: 'Build development snapshot'
)

=== debian/changelog ===
polari (46.0-7) unstable; urgency=medium

  * Bump Standards Version to 4.7.2
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 Oct 2025 08:41:19 -0400

polari (46.0-6) experimental; urgency=medium

  * d/p: Refresh
  * d/p: Cherry-pick upstream patch to depend on girepository-2.0
  * d/control: Bump build dependencies

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 12 Aug 2025 04:47:42 +0200

polari (46.0-5) unstable; urgency=medium

  * Team upload
  * patch: fix crash when closing dialog. Closes: #1095989.

 -- Jérémy Lal <kapouer@melix.org>  Thu, 24 Jul 2025 19:49:57 +0200

polari (46.0-4) unstable; urgency=medium

  * Team upload
  * Drop dependency on deprecated appstream-util
    (validate with appstreamcli only)

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 18:12:03 +0200

polari (46.0-3) unstable; urgency=medium

  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 25 Apr 2025 15:57:03 -0400

polari (46.0-2) unstable; urgency=medium

  * Depend on localsearch instead of tracker
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Mar 2025 09:48:30 -0400

polari (46.0-1) unstable; urgency=medium

  * New upstream release
  * Depend on tracker instead of telepathy-logger
  * Add Build-Depends: appstream for build tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 May 2024 18:26:00 -0400

=== debian/control ===
Source: polari
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Brandon Snider <brandonjsnider@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               appstream <!nocheck>,
               desktop-file-utils,
               gtk-update-icon-cache,
               itstool,
               json-glib-tools <!nocheck>,
               libgirepository-2.0-dev (>= 2.85.1),
               libgjs-dev (>= 1.85.2),
               libglib2.0-dev (>= 2.85.1),
               libtelepathy-glib-dev,
               libtracker-sparql-3.0-dev,
               libxml2-utils,
               meson (>= 0.53.0)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/polari
Vcs-Git: https://salsa.debian.org/gnome-team/polari.git
Homepage: https://apps.gnome.org/Polari/

Package: polari
Architecture: any
Depends: gir1.2-adw-1 (>= 1.4~beta),
         gir1.2-gdkpixbuf-2.0,
         gir1.2-gtk-4.0,
         gir1.2-pango-1.0,
         gir1.2-secret-1,
         gir1.2-soup-3.0,
         gir1.2-telepathyglib-0.12,
         gir1.2-tracker-3.0,
         gjs (>= 1.85.2),
         libglib2.0-bin (>= 2.85.1),
         localsearch,
         telepathy-idle,
         telepathy-mission-control-5,
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Internet Relay Chat (IRC) client
 Polari is an Internet Relay Chat (IRC) client designed for GNOME.
 .
 Polari is a GNOME Circle app.

## polari 49.0

=== debian/changelog ===
polari (49.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libadwaita to 1.8
  * Remove all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Nov 2025 18:20:35 -0500

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 Package: polari
 Architecture: any
-Depends: gir1.2-adw-1 (>= 1.4~beta),
+Depends: gir1.2-adw-1 (>= 1.8),
          gir1.2-gdkpixbuf-2.0,
          gir1.2-gtk-4.0,
          gir1.2-pango-1.0,
